## db4.7 4.7.25

=== debian/changelog ===
db4.7 (4.7.25-9) unstable; urgency=low

  * Fix typo in description of libdb4.7-java-gcj.
  * Switch to 3.0 (quilt) source format.
  * Fix -java-gcj package build for gcj-4.4.  closes: #560641.
  * db4.7_load.1: fix typo of "keyword", thanks to "sobtwmxt".

 -- Clint Adams <schizo@debian.org>  Mon, 28 Dec 2009 22:06:44 -0500

db4.7 (4.7.25-8) unstable; urgency=low

  * Bump to Standards-Version 3.8.3.
  * Change source package name to db4.7.

 -- Clint Adams <schizo@debian.org>  Wed, 23 Sep 2009 19:44:23 -0400

db (4.7.25-7) unstable; urgency=low

  * Apply upstream patch 4.7.25.4: [#16299] Fix a bug which could cause
    a SEGV in __repmgr_available_site if a site becomes master after
    winning an election but is still processing client messages.
  * Bump to Standards-Version 3.8.2.
  * Move libdb4.7-dbg to section 'debug', priority 'extra'.
  * Move libdb4.7-java and libdb4.7-java-gcj to section 'java'.
  * Move libdb4.7-java-dev to section 'libdevel'.
  * Remove libdb4.7++'s relations with itself.
  * Run ldconfig in library package postinsts.

 -- Clint Adams <schizo@debian.org>  Sun, 21 Jun 2009 15:22:37 -0400

db (4.7.25-6) unstable; urgency=low

  * Apply upstream patch 4.7.25.2: [#16415] DB_ENV->lock_get may self
    deadlock if user defined locks are used and there is only one lock
    partition defined.
  * Apply upstream patch 4.7.25.3: [#16541] Fix for dd segfaults.

 -- Clint Adams <schizo@debian.org>  Tue, 30 Dec 2008 19:47:43 -0500

db (4.7.25-5) unstable; urgency=low

  * Apply upstream patch 4.7.25.1: [#16406] Replication clients should
    be able to open a sequence.

 -- Clint Adams <schizo@debian.org>  Sat, 04 Oct 2008 13:29:59 -0400

db (4.7.25-4) unstable; urgency=medium

  * Make testsuite failures critical on both arm and sparc again.
  * Patch from Ben Hutchings to double the inter-process delay in test
    Env012.b.
  * Patch from Ben Hutchings to fix encrypted databases being unusable
    on ARM due to unexpected structure padding.  closes: #437742.
  * Force 8-byte mutex alignment on sparc.  closes: #498455.

 -- Clint Adams <schizo@debian.org>  Wed, 10 Sep 2008 07:48:07 -0400

db (4.7.25-3) unstable; urgency=low

  * Add more conflicts to libdb4.7-dev.  closes: #486318.

 -- Clint Adams <schizo@debian.org>  Sun, 15 Jun 2008 09:50:46 -0400

db (4.7.25-2) unstable; urgency=low

  * Rename libdb-dev to libdb4.7-dev.

 -- Clint Adams <schizo@debian.org>  Thu, 12 Jun 2008 20:56:51 -0400

db (4.7.25-1) unstable; urgency=low

  * New upstream version 4.7.25.
  * Adjust packaging for 4.7.
  * Bump to Standards-Version 3.8.0.

 -- Clint Adams <schizo@debian.org>  Thu, 29 May 2008 22:09:39 -0400

db (4.6.21-8) unstable; urgency=high

  * Change Tcl build dependency to tcl8.5-dev.
  * Change Java architectures to everything but alpha, arm, hppa, hurd-
    i386, kfreebsd-i386, kfreebsd-amd64, and m32r.  closes: #477855.
  * Switch java build dependency from java-gcj-compat-dev to default-
    jdk-builddep.

 -- Clint Adams <schizo@debian.org>  Thu, 01 May 2008 08:28:24 -0400

db (4.6.21-7) unstable; urgency=medium

  * 4.6.21.1: [#15692] Fixes a race condition between checkpoint and
    DB->close which can result in the checkpoint thread
    self-deadlocking.

 -- Clint Adams <schizo@debian.org>  Wed, 26 Mar 2008 22:51:04 -0400

db (4.6.21-6) unstable; urgency=low

  * Apply patch from Kevin Lindsay to avoid mutex deadlock in memory
    pool set_maxsize. closes: #469602.
  * Add Homepage control field.
  * Add Vcs-Browser and Vcs-Git control fields.
  * Tweak db4.6-util description to describe db4.6_dump more completely.

 -- Clint Adams <schizo@debian.org>  Thu, 06 Mar 2008 08:06:34 -0500

db (4.6.21-5) unstable; urgency=low

  * Bump Standards-Version to 3.7.3.
  * Make libdb4.6-dbg depend on libdb4.6.

 -- Clint Adams <schizo@debian.org>  Wed, 02 Jan 2008 15:44:18 -0500

db (4.6.21-4) unstable; urgency=low

  * Re-enable Java on hppa. 

 -- Clint Adams <schizo@debian.org>  Mon, 22 Oct 2007 12:36:02 -0400

db (4.6.21-3) unstable; urgency=low

  * Ship md5sums in each .deb.  closes: #446807.
  * Skip test suite on hppa and m68k, since they are very broken.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Oct 2007 21:14:30 -0400

db (4.6.21-2) unstable; urgency=medium

  * Disable Java packages on hppa, since Java is yet again broken on
    hppa.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Oct 2007 13:18:57 -0400

db (4.6.21-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Mon, 08 Oct 2007 22:35:29 -0400

db (4.6.19-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Fri, 24 Aug 2007 17:43:26 -0400

db (4.6.18-6) unstable; urgency=low

  * Tolerate testsuite failures on arm, sparc, s390. 

 -- Clint Adams <schizo@debian.org>  Thu, 16 Aug 2007 20:46:17 -0400

db (4.6.18-5) unstable; urgency=high

  * Apply patch to fix alignment issues in 32-bit binaries on
    64-bit machines.

 -- Clint Adams <schizo@debian.org>  Tue, 14 Aug 2007 14:43:39 -0400

db (4.6.18-4) unstable; urgency=low

  * Add libdb4.6-dbg package. 
  * Fail the build if there are any testsuite failures.

 -- Clint Adams <schizo@debian.org>  Sun, 12 Aug 2007 21:34:16 -0400

db (4.6.18-3) unstable; urgency=low

  * Disable stripping of binaries when DEB_BUILD_OPTIONS contains
    "nostrip".  closes: #436766.

 -- Clint Adams <schizo@debian.org>  Sat, 11 Aug 2007 12:34:38 -0400

db (4.6.18-2) unstable; urgency=medium

  * Forward-port db4.5 changes to build libdb4.6-java-gcj package.
  * Don't build-depend on java-gcj-compat-dev on m32r.
  * Forward-port db4.5 manpage typo fixes to db4.6_load(1).

 -- Clint Adams <schizo@debian.org>  Tue, 07 Aug 2007 20:54:27 -0400

db (4.6.18-1) unstable; urgency=low

  * Initial packaging of Berkeley DB 4.6, under the source package
    name "db".

 -- Clint Adams <schizo@debian.org>  Wed, 25 Jul 2007 20:37:51 +0700
