=== debian/control ===
Source: db4.7
Section: libs
Priority: standard
Maintainer: Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Clint Adams <schizo@debian.org>
Standards-Version: 3.8.3
Build-Depends: tcl8.5-dev, procps [!hurd-i386], default-jdk-builddep [!alpha !arm !hppa !hurd-i386 !m32r]
Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Vcs-Browser: http://git.debian.org/?p=private/schizo/db.git;a=summary
Vcs-Git: git://git.debian.org/git/private/schizo/db.git

Package: db4.7-doc
Architecture: all
Section: doc
Priority: optional
Description: Berkeley v4.7 Database Documentation [html]
 Complete documentation for all of the API's and utilities provided by
 version 4.7 of Berkeley DB.

Package: libdb4.7-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb4.7 (= ${binary:Version})
Suggests: db4.7-doc
Conflicts: libdb1-dev, libdb2-dev, libdb3-dev, libdb4.2-dev, libdb4.3-dev, libdb4.4-dev, libdb4.5-dev, libdb4.6-dev
Description: Berkeley v4.7 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v4.7 database library.

Package: libdb4.7
Architecture: any
Conflicts: libdb2 (<< 2:2.7.7-3)
Section: libs
Priority: standard
Depends: ${shlibs:Depends}
Description: Berkeley v4.7 Database Libraries [runtime]
 This is the runtime package for programs that use the v4.7 Berkeley
 database library.

Package: db4.7-util
Architecture: any
Section: utils
Priority: optional
Depends: ${shlibs:Depends}
Description: Berkeley v4.7 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v4.7 database format, and includes:
  - db4.7_archive: write the pathnames of the log files no longer in use.
  - db4.7_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db4.7_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db4.7_load: loads (and creates) a database from standard input.
  - db4.7_dump: read a database file and write it in a format understood
    by db4.{2..7}_load.
  - db4.7_printlog: dump log files in human readable format.
  - db4.7_stat: display statistics for Berkeley DB environments.
  - db4.7_upgrade: upgrades the version of files and the databases they
    contain.
  - db4.7_verify: check the structure of files and their databases.

Package: libdb4.7++
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libdb2++ (<< 2:2.7.7-3)
Section: libs
Priority: optional
Description: Berkeley v4.7 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v4.7
 database library.  This is only for programs which use the C++ interface.

Package: libdb4.7++-dev
Architecture: any
Provides: libdb++-dev
Conflicts: libdb2++-dev, libdb++-dev, libdb3++-dev
Section: libdevel
Priority: extra
Depends: libdb4.7++ (= ${binary:Version}), libdb4.7-dev (= ${binary:Version})
Description: Berkeley v4.7 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v4.7 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb4.7-tcl
Architecture: any
Section: interpreters
Priority: extra
Conflicts: libdb3-tcl, libdb4.0-tcl, libdb4.1-tcl, libdb4.2-tcl, libdb4.3-tcl, libdb4.4-tcl, libdb4.5-tcl, libdb4.6-tcl
Depends: ${shlibs:Depends}
Description: Berkeley v4.7 Database Libraries for Tcl [module]
 This package provides a Tcl module suitable for accessing Berkeley v4.7
 databases from within Tcl programs.

Package: libdb4.7-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdb4.7 (= ${binary:Version})
Description: Berkeley v4.7 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v4.7 database
 library.

Package: libdb4.7-java
Architecture: any
Section: java
Priority: optional
Provides: libdb-java
Conflicts: libdb-java
Depends: ${shlibs:Depends}
Recommends: libdb4.7-java-gcj
Description: Berkeley v4.7 Database Libraries for Java
 This package provides the Java interface for the Berkeley v4.7 database
 library.

Package: libdb4.7-java-gcj
Architecture: any
Section: java
Priority: optional
Depends: libdb4.7-java (>= ${source:Version}), libgcj-common (>> 1:4.1.1-13), ${shlibs:Depends}
Description: Berkeley v4.7 Database Libraries for Java (native code)
 This package provides the Java interface for the Berkeley v4.7 database
 library.
 .
 This package contains the natively compiled code for use by gij.

Package: libdb4.7-java-dev
Architecture: any
Section: libdevel
Priority: optional
Provides: libdb-java-dev
Conflicts: libdb-java-dev
Depends: ${shlibs:Depends}, libdb4.7-java
Description: Berkeley v4.7 Database Libraries for Java [development]
 This package provides the Java interface for the Berkeley v4.7 database
 library.
